REST APIOrganizationOrganization Webhooks

GET

List webhook notification for an organization

List all webhook notifications for the specified organization.

Path Params

  • organizationId string required

    at least 1 characters · matches ^[0-9a-f]{32}$

  • webhookId string required

    at least 1 characters

Query Params

  • type string enum
    The webhook type
    txRequesttxRequestTransactiontransfertransactiontransactionRemovedtransactionExpirependingapprovalblockadminaddress_confirmationlowFeecircuitBreakerlowFeeAddressBalancewallet_confirmationbankAccountuserKycStateenterpriseKycStateidentityStatusidvStatusaccessTokenaccountCreatedcontractSignedfundsDepositedkycResultpolicyBalanceChangereversaltransaction_finality_on_l1stuckTxtradeOrderunspentExpirytwoStepTransfertwoStepDeposittwoStepWithdrawalpendingDecryptionwhitelistApprovedwhitelistRejected
  • prevId string
    The ID of the item to start at

    at least 1 characters

  • limit string number
    The maximum number of items to return

Responses

200
OK

Response Body

object

  • webhookNotifications array of objects required
    webhookNotifications object
    • id string required

      matches ^[0-9a-f]{32}$

    • type string enum
      Event type to listen to.
      txRequesttxRequestTransactiontransfertransactiontransactionRemovedtransactionExpirependingapprovalblockadminaddress_confirmationlowFeecircuitBreakerlowFeeAddressBalancewallet_confirmationbankAccountuserKycStateenterpriseKycStateidentityStatusidvStatusaccessTokenaccountCreatedcontractSignedkycResultpolicyBalanceChangereversaltransaction_finality_on_l1stuckTxtradeOrderunspentExpirytwoStepTransfertwoStepDeposittwoStepWithdrawalpendingDecryptionwhitelistApprovedwhitelistRejected
    • wallet string
    • safeId string
      Safe ID — populated only on safe-scoped webhook subscriptions.
    • url string
    • hash string
    • coin string
      A cryptocurrency or token ticker symbol.
    • coinChain string
    • transfer string
    • state string enum
      If "failed", webhook notification failed to connect with the target URL. If "new", webhook notification was newly generated, in response to an event. If "pending", webhook notification is awaiting processing by the webhook worker. If "processed", webhook notification successfully sent to target URL. If "unconfirmed", webhook notification is awaiting confirmation on the blockchain.
      unconfirmednewpendingprocessedfailed
    • simulation boolean
    • retries number
    • webhook string
    • updatedAt string date-time
    • nextAttempt string date-time
    • version number
    • allowBlockedHosts boolean
    • heightToConfirm number
    • payload string
    • response object
      response object
      • code number or string
      • type string
      • body string
      • error string
  • nextBatchPrevId string
    This is the ID from the last item in the current batch. Providing this value as the prevId in the next request will return the next batch of notifications.

    at least 1 characters

401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id